classification
Title: test_run_abort triggers CrashReporter on MacOS X
Type: behavior Stage: resolved
Components: macOS, Tests Versions: Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: oefe, ronaldoussoren
Priority: normal Keywords:

Created on 2008-10-05 13:15 by oefe, last changed 2010-07-23 12:32 by ronaldoussoren. This issue is now closed.

Messages (6)
msg74344 - (view) Author: Martina Oefelein (oefe) Date: 2008-10-05 13:15
test_run_abort (in test_subprocess.py) causes the MaxOS X crash reporter 
dialog to pop up (at least when running from an interactive session). This 
might be unavoidable (the crash is part of the test); however, to avoid 
confusion, it should maybe pointed out in the README that this is expected 
behavior -- or skip the test by default?

Python 3.0rc1 on MacOSX 10.5.5
msg110021 - (view) Author: Martina Oefelein (oefe) Date: 2010-07-11 14:51
Retested in Python 2.6.5, 2.7, 3.0.1, 3.1.2: same result
msg110422 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-07-16 09:16
Triggering the crash reporter is unavoidable.

What we could do is print a warning that this will happen at the start of the test.
msg110629 - (view) Author: Martina Oefelein (oefe) Date: 2010-07-18 10:30
Yes, a warning at the start of the test would at least let the user know that the crash is expected.
msg111260 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-07-23 09:59
Committed a fix in r83067 (py3k), will backport to other active branches shortly.
msg111297 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2010-07-23 12:32
Backported to 3.1 in r83069, 2.7 in r83079, 2.6 in r83083
History
Date User Action Args
2010-07-23 12:32:30ronaldoussorensetstatus: open -> closed
resolution: fixed
messages: + msg111297

stage: resolved
2010-07-23 09:59:10ronaldoussorensetmessages: + msg111260
versions: - Python 3.2
2010-07-18 10:30:19oefesetmessages: + msg110629
2010-07-16 09:16:40ronaldoussorensetmessages: + msg110422
2010-07-16 07:53:35ned.deilysetassignee: ronaldoussoren

nosy: + ronaldoussoren
components: + macOS
versions: + Python 3.2, - Python 3.0
2010-07-11 14:51:13oefesetmessages: + msg110021
versions: + Python 2.6, Python 3.1, Python 2.7
2008-10-05 13:15:45oefecreate